/*****************************************************************************
**																			**
**	 ISP1362 access test project											**
**																			**
******************************************************************************

(C) Copyright 2003 - Analog Devices, Inc.  All rights reserved.

Project Name:	ISP1362_test

Date Modified:	3/11/06				Ver 1.01

Software:		VisualDSP++ 3.0

Hardware:		ADSP-BF533 EZ-KIT Lite + USB OTG daughter board

Purpose:		To demonstrate how to access isp1362 in PIO mode

*****************************************************************************/

#include "Initialization.h"
#include "ISP1362.h"


#define ISP1362_HC_CHIP_ID 0x3630

//--------------------------------------------------------------------------//
// Function:	delay														//
//--------------------------------------------------------------------------//
void delay(unsigned int count)
{
	int i;
	for (i=0;i<count;i++)
	{};
}

//--------------------------------------------------------------------------//
// Function:	main														//
//--------------------------------------------------------------------------//
void main(void)
{
	unsigned short dwHcChipID;
	unsigned short dwdata;
	
	Setup_Blackfin();
	
	*(volatile unsigned char *)(HC_COM) = REG_HCCHIP_ID;
	delay(10);
	dwHcChipID = *(volatile unsigned short *) HC_DATA;
		
	*(volatile unsigned char *)(HC_COM) = REG_HCSCRATCH | 0x80;
	delay(10);
	*(volatile unsigned short *)(HC_DATA) = 0x55aa;
	*(volatile unsigned char *)(HC_COM) = REG_HCSCRATCH;
	delay(10);	
	dwdata = *(volatile unsigned short *)HC_DATA;
	
	if (dwHcChipID == ISP1362_HC_CHIP_ID && dwdata == 0x55aa)
	{
		printf("\nUSB Host ISP1362 has been probed!\n");
		printf("\nISP1362 Chip ID is 0x%x\n", dwHcChipID);
		
	}
	else
	{
		printf("\nUSB Host ISP1362 has not been probed!\n");
	}
		
	while(1);
}

