#ifndef  __BF533_FLAGS_DEFINED
	#define __BF533_FLAGS_DEFINED

//--------------------------------------------------------------------------//
// Header files																//
//--------------------------------------------------------------------------//
#include <sys\exception.h>
#include <cdefBF533.h>
#include "ccblkfn.h"
#include "sysreg.h"

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
// addresses for Port B in Flash A
#define pFlashA_PortB_Dir	(volatile unsigned char *)0x20270007
#define pFlashA_PortB_Data	(volatile unsigned char *)0x20270005

#define	CLKIN_FREQUENCY	(27000000)

#define USHORT unsigned short
#define UCHAR unsigned char
#define UINT unsigned int


typedef struct
{
	USHORT csel;
	USHORT ssel;
	USHORT msel;
	UCHAR  bypass;
	UCHAR  pwdn;
	UCHAR  stopck;
	UCHAR  pll_off;
	UCHAR  df;
}	cPLL_Config;



//--------------------------------------------------------------------------//
// Global variables																//
//--------------------------------------------------------------------------//	
extern cPLL_Config	EZKIT_594C_118S;	
extern cPLL_Config	EZKIT_594C_99S;	

				

//--------------------------------------------------------------------------//
// Prototypes																//
//--------------------------------------------------------------------------//
// in file Initialization.c
void Init_Flags(void);
void Init_Timers(void);
void Init_EBIU(void);
void Init_Flash(void);
void Init_Interrupts(void);
USHORT	Set_PLL_Frequencies( cPLL_Config * C );
char Set_PLL_DIV(	USHORT CSEL, 
					USHORT SSEL	);
					
char Set_PLL_CTL(	USHORT msel, 
					UCHAR bypass, 
					UCHAR pwdn, 
					UCHAR stopck, 
					UCHAR pll_off, 
					UCHAR df	);
					

					
					
					
					
#endif //__BF533_FLAGS_DEFINED

